Skip to content

Seedance-2.0 Original Series ​

This series consists of three independent public models that are unified by POST /v1/videos to create task:

This page uses the Volcanic Open Model Name directly. A specific site or account has been activated for a model, which is based on the current console Model List and the price page.

ModelsPositioningresolutionduration
doubao-seedance-2-0-260128Standard version for high quality and 1080P scenes480P, 720P, 1080P4 - 15 seconds
doubao-seedance-2-0-fast-260128Fast version, suitable for high frequency generation480P, 720P4 - 15 seconds
doubao-seedance-2-0-mini-260615Light version, suitable for mass generation480P, 720P4 - 15 seconds

All three models support text-to-video and image, video and audio references. Standard and Fast cover broader multimodal creation. Mini uses the same public request structure but outputs only 480P or 720P.

Subbar for request Parameters ​

MoonNexAI Unified Common ParametersVolcengine-compatible compatible parameters
modelmodel (Put in the public model of this page ID)
prompttext Entry for content[]
references[]image_url, video_url, audio_url entries in content[]
aspect_ratio, sizeratio, resolution
duration, generate_audio, watermark, seed, callback_urlSame official field, visible zero and false reserved

MoonNexAI Unified Universal Video Parameters ​

fieldAnnotations
modelOne of three original open models.
promptVideo description, with @alias quote media assets.
references[]Picture, video and audio uniform media assets arrays, entries media_type, role, url, alias.
aspect_ratio / sizeCommon aspect-ratio and resolution fields, mapped to model parameters by the server.
duration4 - 15 sec.
generate_audio, watermark, seed, callback_urlGeneral control field, verified by model capability.

Volcengine-compatible compatible parameters ​

fieldAnnotations
modelFill in one of three MoonNexAI public models IDs on this page.
content[]Official multi-modular arrays, with text, image_url, video_url or audio_url, media entries role and only alias.
ratio / resolutionCompatible aspect-ratio and resolution fields.
duration, generate_audio, watermark, seed, callback_urlSame as Volcengine-compatible.

Basic request (MoonNexAI Unified Universal Parameters) ​

bash
curl https://moonnexai.com/v1/videos \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "doubao-seedance-2-0-fast-260128",
    "prompt": "清晨海边,镜头平稳向前推进,浪花自然拍打礁石。",
    "duration": 5,
    "resolution": "720p",
    "ratio": "16:9",
    "generate_audio": false,
    "watermark": false
  }'

Base request (Volcengine-compatible compatible parameters) ​

bash
curl https://moonnexai.com/api/v3/contents/generations/tasks \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "doubao-seedance-2-0-fast-260128",
    "content": [
      { "type": "text", "text": "清晨海边,镜头平稳向前推进,浪花自然拍打礁石。" }
    ],
    "duration": 5,
    "resolution": "720p",
    "ratio": "16:9",
    "generate_audio": false,
    "watermark": false
  }'

Saves task_id or id after creating successfully, and then calls the GET /v1/videos/{task_id} query. Only the final video address is read when task is succeeded.

Use reference media assets ​

New access is recommended for references[], which provides each media assets visible medium type and role:

json
{
  "model": "doubao-seedance-2-0-mini-260615",
  "prompt": "让 @product 在摄影棚转台上缓慢旋转,保持产品外观一致。",
  "references": [
    {
      "media_type": "image",
      "role": "reference_image",
      "url": "https://example.com/product.png",
      "alias": "product"
    }
  ],
  "duration": 5,
  "size": "720p",
  "aspect_ratio": "16:9",
  "generate_audio": false
}

Video and audio references should meet the duration, format and file size requirements of the target model.

Multigraph + MultiVideo + Multi Audio (MoonNexAI Unified Generic Parameters) ​

The three primary models use the same multimodular request structure. The following example uses 2 pictures, 2 videos and 2 segments of audio; please adjust the number and resolution to the actual ability of the model list to return.

json
{
  "model": "doubao-seedance-2-0-fast-260128",
  "prompt": "让 @subject1、@subject2 保持外观一致,参考 @clip1、@clip2 的动作,并将 @sound1、@sound2 融合为背景声音。",
  "references": [
    { "media_type": "image", "role": "reference_image", "url": "https://example.com/subject-1.png", "alias": "subject1" },
    { "media_type": "image", "role": "reference_image", "url": "https://example.com/subject-2.png", "alias": "subject2" },
    { "media_type": "video", "role": "reference_video", "url": "https://example.com/clip-1.mp4", "alias": "clip1" },
    { "media_type": "video", "role": "reference_video", "url": "https://example.com/clip-2.mp4", "alias": "clip2" },
    { "media_type": "audio", "role": "reference_audio", "url": "https://example.com/sound-1.mp3", "alias": "sound1" },
    { "media_type": "audio", "role": "reference_audio", "url": "https://example.com/sound-2.mp3", "alias": "sound2" }
  ],
  "duration": 5,
  "size": "720p",
  "aspect_ratio": "16:9",
  "generate_audio": true
}

Audio references must be submitted with pictures or videos; Asset://asset_xxx must also be prepared for generation_ready=true using the actual primary model.

Multigraph + MultiVideo + Multi Audio (Volcengine-compatible compatible parameters) ​

Group 2 + 2 Video + 2 Audio to official content[] shape:

json
{
  "model": "doubao-seedance-2-0-fast-260128",
  "content": [
    { "type": "text", "text": "让 @subject1、@subject2 保持外观一致,参考 @clip1、@clip2 的动作,并融合 @sound1、@sound2。" },
    { "type": "image_url", "role": "reference_image", "image_url": { "url": "https://example.com/subject-1.png" }, "alias": "subject1" },
    { "type": "image_url", "role": "reference_image", "image_url": { "url": "https://example.com/subject-2.png" }, "alias": "subject2" },
    { "type": "video_url", "role": "reference_video", "video_url": { "url": "https://example.com/clip-1.mp4" }, "alias": "clip1" },
    { "type": "video_url", "role": "reference_video", "video_url": { "url": "https://example.com/clip-2.mp4" }, "alias": "clip2" },
    { "type": "audio_url", "role": "reference_audio", "audio_url": { "url": "https://example.com/sound-1.mp3" }, "alias": "sound1" },
    { "type": "audio_url", "role": "reference_audio", "audio_url": { "url": "https://example.com/sound-2.mp3" }, "alias": "sound2" }
  ],
  "duration": 5,
  "resolution": "720p",
  "ratio": "16:9",
  "generate_audio": true
}

Create reusable media assets ​

Normal pictures, videos, and audio references media assets can be directly called to POST /v1/assets/uploads for creation, without live authentication. mode=asset is recommended and the model to be used when actually generated is completed:

bash
curl https://moonnexai.com/v1/assets/uploads \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "doubao-seedance-2-0-260128",
    "mode": "asset",
    "type": "image",
    "purpose": "reference_image",
    "role": "reference_image",
    "url": "https://example.com/reference.png"
  }'

Ask for media assets details after creation. Only if the following conditions are met:

text
generation_ready = true
preparation_status = ready

Explicitly pass the returned Asset://asset_xxx when creating the video task:

json
{
  "model": "doubao-seedance-2-0-260128",
  "prompt": "保持 @hero 的外观和服装一致,让人物自然转身。",
  "references": [
    {
      "media_type": "image",
      "role": "reference_image",
      "url": "Asset://asset_xxx",
      "alias": "hero"
    }
  ],
  "duration": 5,
  "resolution": "720p",
  "ratio": "16:9"
}

Common reference media assets is not the same process as private reality. Common media media assets does not require live authentication; private property that requires a specific identity, long-term re-image of a person, is restricted, requires a separate authorization and identity, and cannot be replaced by common media assets.

media assets preparation results are separated by model. Create or confirm media assets by the primary model that generates request, which is actually used, and do not mix media assets directly with other models.

List of Parameters ​

MoonNexAI Unified Universal field ​

fieldAnnotations
modelFill in one of the three public models of the page.
promptVideo description, with @alias quote media assets.
references[]Photo, video and audio unified reference arrays.
aspect_ratio / sizeUniversal aspect ratio and output size field.
duration4 - 15 sec.
generate_audio / watermarkAudio and watermark switches.
seed / camera_fixedOptional control field.

Volcengine-compatible compatible field ​

fieldAnnotations
modelFill in the public model ID of this page.
content[]Official multi-modular input arrays.
ratio / resolutionCompatible aspect ratio and output resolution.
durationCompatible duration field.
generate_audio / watermark / seedOfficial control of field.

Billing ​

All three models settle by output tokens, distinguishing requests with and without video input. Check the console, pricing API and actual settlement records for current prices by resolution, version and input type. Documentation does not fix monetary amounts.

Relevant Pages ​